## libselinux 2.8.1

=== debian/changelog ===
libselinux (2.8.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: cf7210d0e6035d0448497cdf724133b35949003e']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:57:46 +0000

## libselinux 2.8.1.7

=== man/Makefile ===
# Installation directories.
PREFIX	?= /usr
MAN8DIR ?= $(PREFIX)/share/man/man8
MAN5DIR ?= $(PREFIX)/share/man/man5
MAN3DIR ?= $(PREFIX)/share/man/man3

all:

install: all
	mkdir -p $(DESTDIR)$(MAN3DIR)
	mkdir -p $(DESTDIR)$(MAN5DIR)
	mkdir -p $(DESTDIR)$(MAN8DIR)
	install -m 644 man3/*.3 $(DESTDIR)$(MAN3DIR)
	install -m 644 man5/*.5 $(DESTDIR)$(MAN5DIR)
	install -m 644 man8/*.8 $(DESTDIR)$(MAN8DIR)

relabel:

indent distclean clean:

=== debian/changelog ===
libselinux (2.8.1.7-1+dde) unstable; urgency=medium

  * fix: update version for sw64 missiong push to 1050u3.

 -- zhangya <zhangya@uniontech.com>  Thu, 20 Oct 2022 09:42:58 +0800

libselinux (2.8.1.6-1+dde) unstable; urgency=medium

  * feat: add write audit log from userspace 

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 09 Sep 2022 22:42:58 +0800

libselinux (2.8.1.5-1+dde) unstable; urgency=medium

  * add file audit status interface and tool.

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 08 Sep 2022 17:42:51 +0800

libselinux (2.8.1.4-1+dde) unstable; urgency=medium

  * feat: add interface bus need to know where avc is enabled.

 -- zhoupeng <zhoupeng@uniontech.com>  Sat, 20 Aug 2022 11:05:23 +0800

libselinux (2.8.1.3-1+dde) unstable; urgency=medium

  * ignore_iattr_when_restorecon

 -- jianghao <jianghao@uniontech.com>  Sat, 30 Jul 2022 01:34:12 +0800

libselinux (2.8.1.2-1+dde) unstable; urgency=medium

  * Add selinux extend sid2 for socket connection.

 -- zhoupeng <zhoupeng@uniontech.com>  Wed, 20 Jul 2022 03:45:23 +0000

libselinux (2.8.1.1-1+dde) unstable; urgency=medium

  * Port to sw64

 -- deepin/sw64 team <sunway@deepin.com>  Sun, 14 Feb 2021 03:45:23 +0000

=== debian/control ===
Source: libselinux
VCS-Git: https://salsa.debian.org/selinux-team/libselinux.git
VCS-Browser: https://salsa.debian.org/selinux-team/libselinux
Priority: optional
Section: libs
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 10),
               dh-python <!nopython>,
               file,
               gem2deb (>= 0.5.0~) <!noruby>,
               libsepol1-dev (>= 2.8),
               libpcre3-dev,
               pkg-config,
               python-all-dev (>= 2.6.6-3~) <!nopython>,
               python3-all-dev <!nopython>,
               swig <!nopython> <!noruby>
XS-Ruby-Versions: all
Homepage: http://userspace.selinuxproject.org/

Package: selinux-utils
Architecture: linux-any
Section: admin
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SELinux utility programs
 This package provides various utility programs for a Security-enhanced
 Linux system. Security-enhanced Linux is a patch of the Linux kernel
 and a number of utilities with enhanced security functionality
 designed to add mandatory access controls to Linux. This package
 provides utility programs to get and set process and file security
 contexts and to obtain security policy decisions.

Package: libselinux1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SELinux runtime shared libraries
 This package provides the shared libraries for Security-enhanced
 Linux that provides interfaces (e.g. library functions for the
 SELinux kernel APIs like getcon(), other support functions like
 getseuserbyname()) to SELinux-aware applications. Security-enhanced
 Linux is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux.  The Security-enhanced Linux kernel contains new
 architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type
 Enforcement, Role-based Access Control, and Multi-level Security.
 .
 libselinux1 provides an API for SELinux applications to get and set
 process and file security contexts and to obtain security policy
 decisions.  Required for any applications that use the SELinux
 API. libselinux may use the shared libsepol to manipulate the binary
 policy if necessary (e.g. to downgrade the policy format to an older
 version supported by the kernel) when loading policy.

Package: libselinux1-dev
Architecture: linux-any
Depends: libselinux1 (= ${binary:Version}),
         libsepol1-dev (>= 2.8),
         libpcre3-dev,
         ${misc:Depends}
Section: libdevel
Multi-Arch: same
Provides: libselinux-dev
Conflicts: libselinux-dev
Description: SELinux development headers
 This package provides the  static libraries and header files
 needed for developing SELinux applications.  Security-enhanced Linux
 is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux.  The Security-enhanced Linux kernel contains new
 architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type
 Enforcement, Role-based Access Control, and Multi-level Security.

Package: libselinux1-udeb
Architecture: linux-any
Section: debian-installer
Package-Type: udeb
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SELinux runtime shared libraries
 This package provides the shared libraries for Security-enhanced
 Linux that provides interfaces (e.g. library functions for the
 SELinux kernel APIs like getcon(), other support functions like
 getseuserbyname()) to SELinux-aware applications. Security-enhanced
 Linux is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux.  The Security-enhanced Linux kernel contains new
 architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type
 Enforcement, Role-based Access Control, and Multi-level Security.
 .
 libselinux1-udeb provides the libselinux shared library for use within
 the Debian installer. Do not install it on a normal system.

Package: ruby-selinux
Architecture: linux-any
Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
Section: ruby
Build-Profiles: <!noruby>
Description: Ruby bindings to SELinux shared libraries
 This package provides the Ruby bindings needed for developing Ruby
 SELinux applications.  Security-enhanced Linux is a patch of the
 Linux kernel and a number of utilities with enhanced security
 functionality designed to add mandatory access controls to Linux.
 The Security-enhanced Linux kernel contains new architectural
 components originally developed to improve the security of the Flask
 operating system. These architectural components provide general
 support for the enforcement of many kinds of mandatory access control
 policies, including those based on the concepts of Type Enforcement,
 Role-based Access Control, and Multi-level Security.

Package: python-selinux
Architecture: linux-any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Built-Using: ${Built-Using}
Section: python
Provides: ${python:Provides}
Build-Profiles: <!nopython>
Description: Python bindings to SELinux shared libraries
 This package provides the Python bindings needed for developing Python
 SELinux applications.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a number
 of utilities with enhanced security functionality designed to add mandatory
 access controls to Linux. The Security-enhanced Linux kernel contains
 new architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type Enforcement,
 Role-based Access Control, and Multi-level Security.

Package: python3-selinux
Architecture: linux-any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Built-Using: ${Built-Using}
Section: python
Provides: ${python3:Provides}
Build-Profiles: <!nopython>
Description: Python3 bindings to SELinux shared libraries
 This package provides the Python3 bindings needed for developing Python
 SELinux applications.
 .
 Security-enhanced Linux is a patch of the Linux kernel and a number
 of utilities with enhanced security functionality designed to add mandatory
 access controls to Linux. The Security-enhanced Linux kernel contains
 new architectural components originally developed to improve the security
 of the Flask operating system. These architectural components provide
 general support for the enforcement of many kinds of mandatory access
 control policies, including those based on the concepts of Type Enforcement,
 Role-based Access Control, and Multi-level Security.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

## Figure out some variables
DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU	?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
PKG_CONFIG		?= $(DEB_HOST_GNU_TYPE)-pkg-config

DOPACKAGES = $(shell dh_listpackages)

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")

## Default target
binary:

## Sanity check
ifneq ($(DEB_HOST_ARCH_OS),linux)
$(error This is a linux only package. Aborting build.)
endif

## The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
## missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

## Unconditionally run debhelper command targets
.PHONY: FORCE
FORCE:

## By default, pass everything through debhelper automatically
export DH_OPTIONS
DH_ADDONS =
ifneq ($(filter python-selinux,$(DOPACKAGES)),)
DH_ADDONS += --with=python2
endif
ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
DH_ADDONS += --with=python3
endif
ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
DH_ADDONS += --with=ruby
endif
%: FORCE
	@dh $@ $(DH_ADDONS)

## Don't try to rebuild the debian/rules file
debian/rules:
	@touch $@

## Set up some variables to be passed to the upstream Makefile
extra_make_args = ARCH=$(DEB_HOST_GNU_CPU)
extra_make_args += CC=$(DEB_HOST_GNU_TYPE)-gcc
extra_make_args += PKG_CONFIG=$(PKG_CONFIG)
override_dh_auto_build: FORCE
	+$(MAKE) $(extra_make_args) all

## Work around the very limited SELinux build-system
DESTDIR = $(CURDIR)/debian/tmp
base_extra_install_args  = $(extra_make_args)
base_extra_install_args += DESTDIR=$(DESTDIR)
extra_install_args = $(base_extra_install_args) LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
extra_install_args += SHLIBDIR=/lib/$(DEB_HOST_MULTIARCH)
python_extra_install_args = $(base_extra_install_args) LIBDIR=/usr/lib

override_dh_auto_install: FORCE
	+$(MAKE) $(extra_install_args) install
ifneq ($(filter python-selinux python3-selinux,$(DOPACKAGES)),)
	+$(MAKE) $(python_extra_install_args) -f debian/python.mk
endif
ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
	+$(MAKE) $(extra_install_args) -f debian/ruby.mk
endif

## Generate a hard error for any upstream files we don't install
override_dh_missing: FORCE
	dh_missing --fail-missing

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

override_dh_makeshlibs:
	dh_makeshlibs -plibselinux1 --add-udeb="libselinux1-udeb" -V
	dh_makeshlibs --remaining-packages

## libselinux 2.9

=== debian/changelog ===
libselinux (2.9-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Mark ruby-selinux as Multi-Arch: same

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Jul 2019 11:50:04 +0200

libselinux (2.9-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - Bump libsepol1-dev build-dependency to >= 2.9 to match the release
  * debian/ruby.mk: Do not override RUBYLIBS anymore, upstream build system
    seems to do the right thing now
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes)
  * debian/watch: Adjust the URL
  * debian/selinux-utils.install: Install manpages in Russian
  * debian/libselinux1.symbols: Add new exported symbol
  * debian/patches/python_nodefs.patch: Do not FTBFS if we have missing
    symbols because we are not linking against the libpython

  [ Michael Biebl ]
  * Build against PCRE2. (Closes: #913921, LP: #1792544)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 17 Mar 2019 20:22:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10),
                dh-python <!nopython>,
                file,
                gem2deb (>= 0.5.0~) <!noruby>,
-               libsepol1-dev (>= 2.8),
-               libpcre3-dev,
+               libsepol1-dev (>= 2.9),
+               libpcre2-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~) <!nopython>,
                python3-all-dev <!nopython>,
@@ -61,8 +61,8 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.8),
-         libpcre3-dev,
+         libsepol1-dev (>= 2.9),
+         libpcre2-dev,
          ${misc:Depends}
 Section: libdevel
 Multi-Arch: same
@@ -107,6 +107,7 @@
 Architecture: linux-any
 Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
 Section: ruby
+Multi-Arch: same
 Build-Profiles: <!noruby>
 Description: Ruby bindings to SELinux shared libraries
  This package provides the Ruby bindings needed for developing Ruby

=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,7 @@
 extra_make_args = ARCH=$(DEB_HOST_GNU_CPU)
 extra_make_args += CC=$(DEB_HOST_GNU_TYPE)-gcc
 extra_make_args += PKG_CONFIG=$(PKG_CONFIG)
+extra_make_args += USE_PCRE2=y
 override_dh_auto_build: FORCE
 	+$(MAKE) $(extra_make_args) all

## libselinux 3.0

=== debian/changelog ===
libselinux (3.0-1) unstable; urgency=medium

  * New upstream release
    - Bump libsepol1-dev build-dependency to >= 3.0 to match the release
    - debian/libselinux1.symbols: Add newly exported symbols
    - Drop d/p/python_nodefs.patch, not needed anymore and add
      d/p/python_install-layout.patch to fix the installation layout for debian
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Dec 2019 14:38:39 +0100

libselinux (2.9-3) unstable; urgency=medium

  * Drop the python2 package (Closes: #936918)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 12 Nov 2019 10:42:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12),
                dh-python <!nopython>,
                file,
                gem2deb (>= 0.5.0~) <!noruby>,
-               libsepol1-dev (>= 2.9),
+               libsepol1-dev (>= 3.0),
                libpcre2-dev,
                pkg-config,
-               python-all-dev (>= 2.6.6-3~) <!nopython>,
                python3-all-dev <!nopython>,
                swig <!nopython> <!noruby>
 XS-Ruby-Versions: all
@@ -61,7 +60,7 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.9),
+         libsepol1-dev (>= 3.0),
          libpcre2-dev,
          ${misc:Depends}
 Section: libdevel
@@ -121,26 +120,6 @@
  policies, including those based on the concepts of Type Enforcement,
  Role-based Access Control, and Multi-level Security.
 
-Package: python-selinux
-Architecture: linux-any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Built-Using: ${Built-Using}
-Section: python
-Provides: ${python:Provides}
-Build-Profiles: <!nopython>
-Description: Python bindings to SELinux shared libraries
- This package provides the Python bindings needed for developing Python
- SELinux applications.
- .
- Security-enhanced Linux is a patch of the Linux kernel and a number
- of utilities with enhanced security functionality designed to add mandatory
- access controls to Linux. The Security-enhanced Linux kernel contains
- new architectural components originally developed to improve the security
- of the Flask operating system. These architectural components provide
- general support for the enforcement of many kinds of mandatory access
- control policies, including those based on the concepts of Type Enforcement,
- Role-based Access Control, and Multi-level Security.
-
 Package: python3-selinux
 Architecture: linux-any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,6 @@
 ## By default, pass everything through debhelper automatically
 export DH_OPTIONS
 DH_ADDONS =
-ifneq ($(filter python-selinux,$(DOPACKAGES)),)
-DH_ADDONS += --with=python2
-endif
 ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
 DH_ADDONS += --with=python3
 endif
@@ -67,7 +64,7 @@
 
 override_dh_auto_install: FORCE
 	+$(MAKE) $(extra_install_args) install
-ifneq ($(filter python-selinux python3-selinux,$(DOPACKAGES)),)
+ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
 	+$(MAKE) $(python_extra_install_args) -f debian/python.mk
 endif
 ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)

## libselinux 3.1

=== src/Makefile ===
# Support building the Python bindings multiple times, against various Python
# runtimes (e.g. Python 2 vs Python 3) by optionally prefixing the build
# targets with "PYPREFIX":
PYTHON ?= python3
PYPREFIX ?= $(shell $(PYTHON) -c 'import sys;print("python-%d.%d" % sys.version_info[:2])')
RUBY ?= ruby
RUBYPREFIX ?= $(notdir $(RUBY))
PKG_CONFIG ?= pkg-config

# Installation directories.
PREFIX ?= /usr
LIBDIR ?= $(PREFIX)/lib
SHLIBDIR ?= /lib
INCLUDEDIR ?= $(PREFIX)/include
PYINC ?= $(shell $(PKG_CONFIG) --cflags $(PYPREFIX))
PYLIBS ?= $(shell $(PKG_CONFIG) --libs $(PYPREFIX))
PYTHONLIBDIR ?= $(shell $(PYTHON) -c "from distutils.sysconfig import *; print(get_python_lib(plat_specific=1, prefix='$(PREFIX)'))")
PYCEXT ?= $(shell $(PYTHON) -c 'import importlib.machinery;print(importlib.machinery.EXTENSION_SUFFIXES[0])')
RUBYINC ?= $(shell $(RUBY) -e 'puts "-I" + RbConfig::CONFIG["rubyarchhdrdir"] + " -I" + RbConfig::CONFIG["rubyhdrdir"]')
RUBYLIBS ?= $(shell $(RUBY) -e 'puts "-L" + RbConfig::CONFIG["libdir"] + " -L" + RbConfig::CONFIG["archlibdir"] + " " + RbConfig::CONFIG["LIBRUBYARG_SHARED"]')
RUBYINSTALL ?= $(shell $(RUBY) -e 'puts RbConfig::CONFIG["vendorarchdir"]')

VERSION = $(shell cat ../VERSION)
LIBVERSION = 1

OS ?= $(shell uname)

ifeq ($(shell $(CC) -v 2>&1 | grep "clang"),)
COMPILER ?= gcc
else
COMPILER ?= clang
endif

LIBA=libselinux.a 
TARGET=libselinux.so
LIBPC=libselinux.pc
SWIGIF= selinuxswig_python.i selinuxswig_python_exception.i
SWIGRUBYIF= selinuxswig_ruby.i
SWIGCOUT= selinuxswig_python_wrap.c
SWIGPYOUT= selinux.py
SWIGRUBYCOUT= selinuxswig_ruby_wrap.c
SWIGLOBJ:= $(patsubst %.c,$(PYPREFIX)%.lo,$(SWIGCOUT))
SWIGRUBYLOBJ:= $(patsubst %.c,%.lo,$(SWIGRUBYCOUT)) 
SWIGSO=$(PYPREFIX)_selinux.so
SWIGFILES=$(SWIGSO) $(SWIGPYOUT)
SWIGRUBYSO=$(RUBYPREFIX)_selinux.so
LIBSO=$(TARGET).$(LIBVERSION)
AUDIT2WHYLOBJ=$(PYPREFIX)audit2why.lo
AUDIT2WHYSO=$(PYPREFIX)audit2why.so

# If no specific libsepol.a is specified, fall back on LDFLAGS search path
# Otherwise, as $(LIBSEPOLA) already appears in the dependencies, there
# is no need to define a value for LDLIBS_LIBSEPOLA
ifeq ($(LIBSEPOLA),)
        LDLIBS_LIBSEPOLA := -l:libsepol.a
endif

GENERATED=$(SWIGCOUT) $(SWIGRUBYCOUT) $(SWIGCOUT) selinuxswig_python_exception.i
SRCS= $(filter-out $(GENERATED) audit2why.c, $(sort $(wildcard *.c)))

MAX_STACK_SIZE=32768

ifeq ($(COMPILER), gcc)
EXTRA_CFLAGS = -fipa-pure-const -Wlogical-op -Wpacked-bitfield-compat -Wsync-nand \
	-Wcoverage-mismatch -Wcpp -Wformat-contains-nul -Wnormalized=nfc -Wsuggest-attribute=const \
	-Wsuggest-attribute=noreturn -Wsuggest-attribute=pure -Wtrampolines -Wjump-misses-init \
	-Wno-suggest-attribute=pure -Wno-suggest-attribute=const -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 \
	-Wstrict-overflow=5 -fno-semantic-interposition
else
EXTRA_CFLAGS = -Wunused-command-line-argument
endif

OBJS= $(patsubst %.c,%.o,$(SRCS))
LOBJS= $(patsubst %.c,%.lo,$(SRCS))
CFLAGS ?= -O -Wall -W -Wundef -Wformat-y2k -Wformat-security -Winit-self -Wmissing-include-dirs \
          -Wunused -Wunknown-pragmas -Wstrict-aliasing -Wshadow -Wpointer-arith \
          -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return \
          -Wstrict-prototypes -Wold-style-definition -Wmissing-prototypes \
          -Wmissing-declarations -Wmissing-noreturn -Wmissing-format-attribute \
          -Wredundant-decls -Wnested-externs -Winline -Winvalid-pch -Wvolatile-register-var \
          -Wdisabled-optimization -Wbuiltin-macro-redefined \
          -Wattributes -Wmultichar \
          -Wdeprecated-declarations -Wdiv-by-zero -Wdouble-promotion -Wendif-labels -Wextra \
          -Wformat-extra-args -Wformat-zero-length -Wformat=2 -Wmultichar \
          -Woverflow -Wpointer-to-int-cast -Wpragmas \
          -Wno-missing-field-initializers -Wno-sign-compare \
          -Wno-format-nonliteral -Wframe-larger-than=$(MAX_STACK_SIZE) \
          -fstack-protector-all --param=ssp-buffer-size=4 -fexceptions \
          -fasynchronous-unwind-tables -fdiagnostics-show-option -funit-at-a-time \
          -Werror -Wno-aggregate-return -Wno-redundant-decls \
          $(EXTRA_CFLAGS)

LD_SONAME_FLAGS=-soname,$(LIBSO),--version-script=libselinux.map,-z,defs,-z,relro

ifeq ($(OS), Darwin)
override CFLAGS += -I/opt/local/include
override LDFLAGS += -L/opt/local/lib -undefined dynamic_lookup
LD_SONAME_FLAGS=-install_name,$(LIBSO)
endif

PCRE_LDLIBS ?= -lpcre
# override with -lfts when building on Musl libc to use fts-standalone
FTS_LDLIBS ?=

override CFLAGS += -I../include -D_GNU_SOURCE $(DISABLE_FLAGS) $(PCRE_CFLAGS)

SWIG_CFLAGS += -Wno-error -Wno-unused-variable -Wno-unused-but-set-variable -Wno-unused-parameter \
		-Wno-shadow -Wno-uninitialized -Wno-missing-prototypes -Wno-missing-declarations \
		-Wno-deprecated-declarations

RANLIB ?= ranlib

ARCH := $(patsubst i%86,i386,$(shell uname -m))
ifneq (,$(filter i386,$(ARCH)))
TLSFLAGS += -mno-tls-direct-seg-refs
endif

ifeq ($(ANDROID_HOST),y)
DISABLE_FLAGS+= -DNO_MEDIA_BACKEND -DNO_DB_BACKEND -DNO_X_BACKEND \
	-DBUILD_HOST
SRCS= callbacks.c freecon.c label.c label_file.c \
	label_backends_android.c regex.c label_support.c \
	matchpathcon.c setrans_client.c sha1.c booleans.c
else
DISABLE_FLAGS+= -DNO_ANDROID_BACKEND
SRCS:= $(filter-out label_backends_android.c, $(SRCS))
endif

SWIGRUBY = swig -Wall -ruby -o $(SWIGRUBYCOUT) -outdir ./ $(DISABLE_FLAGS)

all: $(LIBA) $(LIBSO) $(LIBPC)

pywrap: all selinuxswig_python_exception.i
	CFLAGS="$(CFLAGS) $(SWIG_CFLAGS)" $(PYTHON) setup.py build_ext

rubywrap: all $(SWIGRUBYSO)

$(SWIGRUBYLOBJ): $(SWIGRUBYCOUT)
	$(CC) $(CFLAGS) $(SWIG_CFLAGS) $(RUBYINC) -fPIC -DSHARED -c -o $@ $<

$(SWIGRUBYSO): $(SWIGRUBYLOBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -L. -shared -o $@ $^ -lselinux $(RUBYLIBS)

$(LIBA): $(OBJS)
	$(AR) rcs $@ $^
	$(RANLIB) $@

$(LIBSO): $(LOBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -shared -o $@ $^ $(PCRE_LDLIBS) $(FTS_LDLIBS) -ldl -Wl,$(LD_SONAME_FLAGS)
	ln -sf $@ $(TARGET)

$(LIBPC): $(LIBPC).in ../VERSION
	sed -e 's/@VERSION@/$(VERSION)/; s:@prefix@:$(PREFIX):; s:@libdir@:$(LIBDIR):; s:@includedir@:$(INCLUDEDIR):; s:@PCRE_MODULE@:$(PCRE_MODULE):' < $< > $@

selinuxswig_python_exception.i: exception.sh ../include/selinux/selinux.h
	bash -e exception.sh > $@ || (rm -f $@ ; false)

%.o:  %.c policy.h
	$(CC) $(CFLAGS) $(TLSFLAGS) -c -o $@ $<

%.lo:  %.c policy.h
	$(CC) $(CFLAGS) -fPIC -DSHARED -c -o $@ $<

$(SWIGRUBYCOUT): $(SWIGRUBYIF)
	$(SWIGRUBY) $<

install: all 
	test -d $(DESTDIR)$(LIBDIR) || install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 644 $(LIBA) $(DESTDIR)$(LIBDIR)
	test -d $(DESTDIR)$(SHLIBDIR) || install -m 755 -d $(DESTDIR)$(SHLIBDIR)
	install -m 755 $(LIBSO) $(DESTDIR)$(SHLIBDIR)
	test -d $(DESTDIR)$(LIBDIR)/pkgconfig || install -m 755 -d $(DESTDIR)$(LIBDIR)/pkgconfig
	install -m 644 $(LIBPC) $(DESTDIR)$(LIBDIR)/pkgconfig
	ln -sf --relative $(DESTDIR)$(SHLIBDIR)/$(LIBSO) $(DESTDIR)$(LIBDIR)/$(TARGET)

install-pywrap: pywrap
	$(PYTHON) setup.py install --prefix=$(PREFIX) `test -n "$(DESTDIR)" && echo --root $(DESTDIR)` $(PYTHON_SETUP_ARGS)
	install -m 644 $(SWIGPYOUT) $(DESTDIR)$(PYTHONLIBDIR)/selinux/__init__.py
	ln -sf --relative $(DESTDIR)$(PYTHONLIBDIR)/selinux/_selinux$(PYCEXT) $(DESTDIR)$(PYTHONLIBDIR)/_selinux$(PYCEXT)

install-rubywrap: rubywrap
	test -d $(DESTDIR)$(RUBYINSTALL) || install -m 755 -d $(DESTDIR)$(RUBYINSTALL) 
	install -m 755 $(SWIGRUBYSO) $(DESTDIR)$(RUBYINSTALL)/selinux.so

relabel:
	/sbin/restorecon $(DESTDIR)$(SHLIBDIR)/$(LIBSO)

clean-pywrap:
	-rm -f $(SWIGLOBJ) $(SWIGSO) $(AUDIT2WHYLOBJ) $(AUDIT2WHYSO)
	$(PYTHON) setup.py clean
	-rm -rf build *~ \#* *pyc .#*

clean-rubywrap:
	-rm -f $(SWIGRUBYLOBJ) $(SWIGRUBYSO)

clean: clean-pywrap clean-rubywrap
	-rm -f $(LIBPC) $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(TARGET) *.o *.lo *~

distclean: clean
	rm -f $(GENERATED) $(SWIGFILES)

indent:
	../../scripts/Lindent $(filter-out $(GENERATED),$(wildcard *.[ch]))

.PHONY: all clean clean-pywrap clean-rubywrap pywrap rubywrap swigify install install-pywrap install-rubywrap distclean

=== debian/changelog ===
libselinux (3.1-3) unstable; urgency=medium

  [ Christian Göttsche ]
  * d/gitlab-ci.yml: Use Debian recipe
  * d/README: Drop note about ancient SELinux mount point
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Update homepage
  * d/rules: Enable -Wall and -Werror
  * d/rules: Enable build hardening
  * d/control: Drop cute fields

  [ Laurent Bigonville ]
  * Do not use gettid() for Bullseye and use syscall() instead (Closes: #979970)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 09 Feb 2021 10:19:50 +0100

libselinux (3.1-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Bump libselinux1-dev dependency on libsepol1-dev to 3.1

  [ Balint Reczey ]
  * debian/libselinux1.symbols: Versioned symbols are available starting with
    3.1~ (Closes: #965136)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Jul 2020 18:28:55 +0200

libselinux (3.1-1) unstable; urgency=medium

  * New upstream release
    - Bump libsepol1-dev build-dependency to >= 3.1 to match the release
  * debian/rules: Add -fno-semantic-interposition to the CFLAGS

 -- Laurent Bigonville <bigon@debian.org>  Tue, 14 Jul 2020 19:00:18 +0200

libselinux (3.1~rc1-1) experimental; urgency=medium

  [ You-Sheng Yang ]
  * ci: enable ci

  [ Laurent Bigonville ]
  * New upstream version 3.1~rc1
    - Bump libsepol1-dev build-dependency to >= 3.1~ to match the release
    - Stop patching the build system and use PYTHON_SETUP_ARGS to set the
      install-layout of the python module
    - debian/libselinux1.symbols: The symbols are now versionized, update the
      symbols accordingly. Remove the symbols that were never supposed to be
      exposed. Add new selinux_flush_class_cache() symbol.
  * DEP8: Add basic testing
  * debian/rules: Make sure that the bindings are cleanup and that we can
    build the package twice
  * Cleanup and simplify the debian/rules file
  * debian/rules: Add support to run make in parallel
  * debian/control: Set Rules-Requires-Root: no
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse

  [ Helmut Grohne ]
  * Fix clean with DEB_BUILD_PROFILES=nopython. (Closes: #946811)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 May 2020 12:31:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: libselinux
-VCS-Git: https://salsa.debian.org/selinux-team/libselinux.git
-VCS-Browser: https://salsa.debian.org/selinux-team/libselinux
+Vcs-Git: https://salsa.debian.org/selinux-team/libselinux.git
+Vcs-Browser: https://salsa.debian.org/selinux-team/libselinux
 Priority: optional
 Section: libs
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
                dh-python <!nopython>,
                file,
                gem2deb (>= 0.5.0~) <!noruby>,
-               libsepol1-dev (>= 3.0),
+               libsepol1-dev (>= 3.1),
                libpcre2-dev,
                pkg-config,
                python3-all-dev <!nopython>,
                swig <!nopython> <!noruby>
 XS-Ruby-Versions: all
-Homepage: http://userspace.selinuxproject.org/
+Homepage: https://selinuxproject.org
+Rules-Requires-Root: no
 
 Package: selinux-utils
 Architecture: linux-any
@@ -60,7 +61,7 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol1-dev (>= 3.0),
+         libsepol1-dev (>= 3.1),
          libpcre2-dev,
          ${misc:Depends}
 Section: libdevel

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
# for cross compilation
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
export CC := $(DEB_HOST_GNU_TYPE)-gcc
export PKG_CONFIG := $(DEB_HOST_GNU_TYPE)-pkg-config
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

DOPACKAGES = $(shell dh_listpackages)

BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")

# Upstream recommends using this flag
export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition
## The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
## missing (hardening) flags. Also enable Wall and Wextra to spot basic irregularities.
export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS) -Wall -Wextra

DH_ADDONS =
ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
PY3VERSIONS = $(shell py3versions -rv)
DH_ADDONS += --with=python3
endif
ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
RUBY_VERSIONS := $(shell dh_ruby --print-supported)
DH_ADDONS += --with=ruby
endif

%:
	@dh $@ $(DH_ADDONS)

## Set up some variables to be passed to the upstream Makefile
extra_make_args = ARCH=$(patsubst i%86,i386,$(DEB_HOST_GNU_CPU))
extra_make_args += USE_PCRE2=y
override_dh_auto_build:
	$(MAKE) all $(extra_make_args)
ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
	set -e; for version in $(PY3VERSIONS); do        \
	  $(MAKE) pywrap $(extra_make_args) PYTHON=python$$version; \
	done;
endif
ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
	set -e; for version in $(RUBY_VERSIONS); do      \
	  $(MAKE) rubywrap $(extra_make_args) RUBY=$$version; \
	done;
endif

override_dh_auto_install:
	$(MAKE) install $(extra_make_args) DESTDIR="${CURDIR}/debian/tmp" \
	  LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	  SHLIBDIR=/lib/$(DEB_HOST_MULTIARCH)
ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
	set -e; for version in $(PY3VERSIONS); do \
	  $(MAKE) install-pywrap $(extra_make_args) PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp" PYTHON_SETUP_ARGS=--install-layout=deb; \
	done;
endif
ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
	set -e; for version in $(RUBY_VERSIONS); do \
	  $(MAKE) install-rubywrap $(extra_make_args) RUBY=$$version DESTDIR="${CURDIR}/debian/tmp"; \
	done;
endif

override_dh_auto_clean:
	$(MAKE) distclean $(extra_make_args) PYTHON=true
ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
	set -e; for version in $(PY3VERSIONS); do         \
	  $(MAKE) clean-pywrap $(extra_make_args) PYTHON=python$$version;  \
	done;
endif
ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
	set -e; for version in $(RUBY_VERSIONS); do      \
	  $(MAKE) clean-rubywrap $(extra_make_args) RUBY=$$version; \
	done;
endif

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"

override_dh_makeshlibs:
	dh_makeshlibs -plibselinux1 --add-udeb="libselinux1-udeb" -V
	dh_makeshlibs --remaining-packages

## libselinux 3.3

=== debian/changelog ===
libselinux (3.3-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:27:32 +0000

libselinux (3.3-1build1) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 12:58:34 -0300

libselinux (3.3-1) unstable; urgency=medium

  * New upstream version 3.3 (Closes: #989748)
    - Bump libsepol-dev build-dependency to >= 3.3 to match the release
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 09:33:49 +0100

libselinux (3.2-1) experimental; urgency=medium

  * New upstream release
    - Bump libsepol-dev build-dependency to >= 3.2 to match the release
  * debian/watch: Update the URL to follow the new tagging format
  * Drop debian/patches/drop-gettid.patch, not needed anymore

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Apr 2021 13:22:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                dh-python <!nopython>,
                file,
                gem2deb (>= 0.5.0~) <!noruby>,
-               libsepol1-dev (>= 3.1),
+               libsepol-dev (>= 3.3),
                libpcre2-dev,
                pkg-config,
                python3-all-dev <!nopython>,
@@ -61,7 +61,7 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol1-dev (>= 3.1),
+         libsepol-dev (>= 3.3),
          libpcre2-dev,
          ${misc:Depends}
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 DOPACKAGES = $(shell dh_listpackages)
 
-BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol1-dev")
+BUILT_USING=$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsepol-dev")
 
 # Upstream recommends using this flag
 export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition

## libselinux 3.4

=== utils/Makefile ===
# Installation directories.
PREFIX ?= /usr
SBINDIR ?= $(PREFIX)/sbin

OS ?= $(shell uname)

ifeq ($(shell $(CC) -v 2>&1 | grep "clang"),)
COMPILER ?= gcc
else
COMPILER ?= clang
endif

ifeq ($(COMPILER), gcc)
EXTRA_CFLAGS = -fipa-pure-const -Wpacked-bitfield-compat -Wsync-nand -Wcoverage-mismatch \
	-Wcpp -Wformat-contains-nul -Wnormalized=nfc -Wsuggest-attribute=const \
	-Wsuggest-attribute=noreturn -Wsuggest-attribute=pure -Wtrampolines -Wjump-misses-init \
	-Wno-suggest-attribute=pure -Wno-suggest-attribute=const
endif

MAX_STACK_SIZE=8192
CFLAGS ?= -O -Wall -W -Wundef -Wformat-y2k -Wformat-security -Winit-self -Wmissing-include-dirs \
          -Wunused -Wunknown-pragmas -Wstrict-aliasing -Wshadow -Wpointer-arith \
          -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return \
          -Wstrict-prototypes -Wold-style-definition -Wmissing-prototypes \
          -Wmissing-declarations -Wmissing-noreturn -Wmissing-format-attribute \
          -Wredundant-decls -Wnested-externs -Winline -Winvalid-pch -Wvolatile-register-var \
          -Wdisabled-optimization -Wbuiltin-macro-redefined \
          -Wattributes -Wmultichar \
          -Wdeprecated-declarations -Wdiv-by-zero -Wdouble-promotion -Wendif-labels -Wextra \
          -Wformat-extra-args -Wformat-zero-length -Wformat=2 -Wmultichar \
          -Woverflow -Wpointer-to-int-cast -Wpragmas \
          -Wno-missing-field-initializers -Wno-sign-compare \
          -Wno-format-nonliteral -Wframe-larger-than=$(MAX_STACK_SIZE) -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2 \
          -fstack-protector-all --param=ssp-buffer-size=4 -fexceptions \
          -fasynchronous-unwind-tables -fdiagnostics-show-option -funit-at-a-time \
          -Werror -Wno-aggregate-return -Wno-redundant-decls -Wstrict-overflow=5 \
          $(EXTRA_CFLAGS)

ifeq ($(OS), Darwin)
override CFLAGS += -I/opt/local/include -I../../libsepol/include
override LDFLAGS += -L../../libsepol/src -undefined dynamic_lookup
endif

override CFLAGS += -I../include -D_GNU_SOURCE $(DISABLE_FLAGS) $(PCRE_CFLAGS)
override LDFLAGS += -L../src
override LDLIBS += -lselinux $(FTS_LDLIBS)

ifeq ($(ANDROID_HOST),y)
TARGETS=sefcontext_compile
else
TARGETS=$(patsubst %.c,%,$(sort $(wildcard *.c)))
endif

sefcontext_compile: LDLIBS += ../src/libselinux.a $(PCRE_LDLIBS) -lsepol

all: $(TARGETS)

install: all
	-mkdir -p $(DESTDIR)$(SBINDIR)
	install -m 755 $(TARGETS) $(DESTDIR)$(SBINDIR)

clean:
	rm -f $(TARGETS) *.o *~

distclean: clean

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:

=== debian/changelog ===
libselinux (3.4-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - Bump libsepol-dev build-dependency to >= 3.4 to match the release
    - debian/libselinux1.symbols: Add newly exported symbols
  * Enable GPG key validation of the upstream tarball

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gem2deb.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2022 12:41:40 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python <!nopython>,
                file,
-               gem2deb (>= 0.5.0~) <!noruby>,
-               libsepol-dev (>= 3.3),
+               gem2deb <!noruby>,
+               libsepol-dev (>= 3.4),
                libpcre2-dev,
                pkg-config,
                python3-all-dev <!nopython>,
@@ -61,7 +61,7 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol-dev (>= 3.3),
+         libsepol-dev (>= 3.4),
          libpcre2-dev,
          ${misc:Depends}
 Section: libdevel

## libselinux 3.5

=== debian/changelog ===
libselinux (3.5-2ubuntu2.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:52 +0200

libselinux (3.5-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:58:14 +0000

libselinux (3.5-2ubuntu1) noble; urgency=medium

  [ Steve Langasek ]
  * debian/patches/lfs-compat.patch: always build for LFS mode on 32-bit
    archs.  Closes: #1063329.
  * debian/rules: also explicitly pass DEB_BUILD_MAINT_OPTIONS=abi=+lfs
    unconditionally, as we clobber all of the upstream cflags
  * debian/rules: fix cppflags handling which evidently prevented any
    DEB_BUILD_MAINT_OPTIONS settings from applying
  * debian/libselinux1.symbols: also document the added symbol.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:45:37 +1300

libselinux (3.5-2build3) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:36:35 +0100

libselinux (3.5-2build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 01:40:02 -0300

libselinux (3.5-2build1) noble; urgency=medium

  * No-change upload to add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 01 Feb 2024 23:01:44 -0300

libselinux (3.5-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Move libselinux into /usr (Closes: #914247)

  [ Laurent Bigonville ]
  * debian/libselinux1.tmpfiles: claim /run/setrans directory.
    Thanks to Christian Göttsche, Michael Biebl (Closes: #1029095)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 24 Jan 2024 21:23:37 +0100

libselinux (3.5-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control: Add python3-setuptools and python3-pip to the BD
    - Bump libsepol-dev (build-)dependency to >= 3.5 to match the release
    - debian/libselinux1.symbols: Add newly exported symbols
  * debian/upstream/signing-key.asc: Add public key of Jason Zaman
  * debian/rules: Properly set the install layout for the python module
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/control: Drop dependency against ruby | ruby-interpreter, to please
    lintian

  [ Helmut Grohne ]
  * Fix FTCBFS: Support cross building python and ruby extensions.
    (Closes: #1022964)
  * Support the noudeb build profile. (Closes: #1024948)

  [ Bastian Germann ]
  * Fix "Inaccurate copyright file" (Closes: #1031678)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 09 Jul 2023 23:50:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,22 @@
 Vcs-Browser: https://salsa.debian.org/selinux-team/libselinux
 Priority: optional
 Section: libs
-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
-               dh-python <!nopython>,
+               dh-sequence-python3 <!nopython>,
+               dh-sequence-ruby <!noruby>,
                file,
-               gem2deb <!noruby>,
-               libsepol-dev (>= 3.4),
+               libsepol-dev (>= 3.5),
                libpcre2-dev,
+               libpython3-all-dev <!nopython>,
                pkg-config,
-               python3-all-dev <!nopython>,
+               python3-all-dev:any <!nopython>,
+               python3-pip <!nopython>,
+               python3-setuptools <!nopython>,
                swig <!nopython> <!noruby>
 XS-Ruby-Versions: all
 Homepage: https://selinuxproject.org
@@ -61,7 +65,7 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol-dev (>= 3.4),
+         libsepol-dev (>= 3.5),
          libpcre2-dev,
          ${misc:Depends}
 Section: libdevel
@@ -84,6 +88,7 @@
 Architecture: linux-any
 Section: debian-installer
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: SELinux runtime shared libraries
@@ -105,7 +110,7 @@
 
 Package: ruby-selinux
 Architecture: linux-any
-Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${ruby:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Section: ruby
 Multi-Arch: same
 Build-Profiles: <!noruby>

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,20 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+lfs
 
 include /usr/share/dpkg/architecture.mk
 # for cross compilation
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 export CC := $(DEB_HOST_GNU_TYPE)-gcc
 export PKG_CONFIG := $(DEB_HOST_GNU_TYPE)-pkg-config
+export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__$(DEB_HOST_MULTIARCH)
+define ruby_env
+  RUBYLIB=/usr/lib/$(DEB_HOST_MULTIARCH)/ruby-crossbuild/$$($(1) -e "puts RbConfig::CONFIG['ruby_version']")
+endef
+else
+define ruby_env
+endef
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -25,20 +32,17 @@
 export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition
 ## The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 ## missing (hardening) flags. Also enable Wall and Wextra to spot basic irregularities.
-export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS) -Wall -Wextra
+export DEB_CFLAGS_MAINT_APPEND += $(shell env DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" dpkg-buildflags --get CPPFLAGS) -Wall -Wextra
 
-DH_ADDONS =
 ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
 PY3VERSIONS = $(shell py3versions -rv)
-DH_ADDONS += --with=python3
 endif
 ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
 RUBY_VERSIONS := $(shell dh_ruby --print-supported)
-DH_ADDONS += --with=ruby
 endif
 
 %:
-	@dh $@ $(DH_ADDONS)
+	@dh $@
 
 ## Set up some variables to be passed to the upstream Makefile
 extra_make_args = ARCH=$(patsubst i%86,i386,$(DEB_HOST_GNU_CPU))
@@ -52,6 +56,7 @@
 endif
 ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
 	set -e; for version in $(RUBY_VERSIONS); do      \
+	  $(call ruby_env,$$version) \
 	  $(MAKE) rubywrap $(extra_make_args) RUBY=$$version; \
 	done;
 endif
@@ -59,14 +64,15 @@
 override_dh_auto_install:
 	$(MAKE) install $(extra_make_args) DESTDIR="${CURDIR}/debian/tmp" \
 	  LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	  SHLIBDIR=/lib/$(DEB_HOST_MULTIARCH)
+	  SHLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
 	set -e; for version in $(PY3VERSIONS); do \
-	  $(MAKE) install-pywrap $(extra_make_args) PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp" PYTHON_SETUP_ARGS=--install-layout=deb; \
+	  $(MAKE) install-pywrap $(extra_make_args) PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp" DEB_PYTHON_INSTALL_LAYOUT=deb; \
 	done;
 endif
 ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
 	set -e; for version in $(RUBY_VERSIONS); do \
+	  $(call ruby_env,$$version) \
 	  $(MAKE) install-rubywrap $(extra_make_args) RUBY=$$version DESTDIR="${CURDIR}/debian/tmp"; \
 	done;
 endif
@@ -80,6 +86,7 @@
 endif
 ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
 	set -e; for version in $(RUBY_VERSIONS); do      \
+	  $(call ruby_env,$$version) \
 	  $(MAKE) clean-rubywrap $(extra_make_args) RUBY=$$version; \
 	done;
 endif
